Location by Coordinates
1 min
POST
https://api.upstartcommerce.com/v1/location/search/coordinates2
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
x-upstart-sitestringUnique identifier for the site.
bodyobject<p>The request body should contain the coordinates to search on as well as any other terms/filters.</p>
200<p>Success-set of locations returned.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
curl --request POST \
--url https://api.upstartcommerce.com/v1/location/search/coordinates2 \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"filter": {
"term": {
"and": {}
},
"distance": {
"value": ""
},
"coordinates": {
"latitude": "",
"longitude": ""
}
},
"orders": [
{
"property": "",
"asc": true
}
],
"page": 2,
"pageSize": 4
}'